Get Profile
GET
/tenant/{tenant}/profile/{profileId}
const url = 'https://api.exolink.cloud/tenant/example/profile/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/profile/1 \ --header 'Authorization: Bearer <token>'Get details of a specific profile
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant
required
string
profileId
required
integer
Responses
Section titled “Responses”Profile details
Media typeapplication/json
Charger configuration profile
object
id
Profile ID
integer
tenantId
Tenant ID
integer
displayName
Profile display name
string
dynamic
Whether this is a dynamically generated profile
boolean
cpmsId
Associated CPMS backend ID
integer
cpmsIds
Associated CPMS backend IDs
array
cpmsName
Associated CPMS backend name(s)
string
cpmsUrl
Associated CPMS backend URL(s)
string
labId
Associated lab environment ID (if applicable)
integer
createdAt
string format: date-time
updatedAt
string format: date-time
deletedAt
string format: date-time
Example
{ "id": 1, "displayName": "Default Profile", "dynamic": false}